import("music.lib");

freq = nentry("freq", 440, 20, 20000, 1);
gain = nentry("gain", 0, 0, 10, 0.01);
gate = button("gate");

amp(1) = 1.0; amp(2) = 0.5; amp(3) = 0.25;
partial(i) = amp(i+1)*osc((i+1)*freq);

process	= sum(i, 3, partial(i)) * gain
  * (gate : adsr(0.01, 0.3, 0.5, 0.2)) * 0.3;
